--- /dev/null	Fri Nov 22 15:19:33 2013
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/misc.cfg	Fri Nov 22 15:19:33 2013
@@ -0,0 +1,71 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# Copyright (c) 2013 by Delphix. All rights reserved.
+#
+
+# these are the set of setable ZFS properties
+PROP_NAMES="\
+	aclinherit	aclmode		atime		 \
+	checksum	compression			devices \
+	exec		mountpoint	quota		readonly \
+	recordsize	reservation	setuid		sharenfs \
+	snapdir"
+
+# these are a set of values we apply, for use when testing the
+# zfs get/set subcommands - ordered as per the list above so we
+# can iterate over both sets in an array
+PROP_VALS="\
+	secure		discard		on		 \
+	fletcher2	on				on \
+	on		legacy		none		on \
+	128k		none		on		on \
+	visible"
+
+# these are an alternate set of property values
+PROP_ALTVALS="\
+	noallow		groupmask	off		 \
+	fletcher4	lzjb				off \
+	off		/tmp/zfstest	100m		off \
+	512		10m		off		off \
+	hidden"
+
+
+
+# additional properties to worry about: canmount copies xattr zoned version
+
+POOL_PROPS="\
+	failmode	autoreplace"
+
+POOL_VALS="\
+	continue	on"
+
+POOL_ALTVALS="\
+	panic		off"
+
+export TESTSNAP=testsnap-misc
+export TESTCLCT=testclct-misc
